#include <iostream>
#include <vector>
#include <algorithm>
#include <string>

using namespace std;

void printArr(const vector<int>& v) {
    for (auto n : v) {
        cout << n;
    }
    cout << endl;
}

string sum(const string a, const string b) {
//    cout << a << " + " << b << endl;
    int l = max(a.size(), b.size());
    string ans(l, 0);

    int d = l - min(a.size(), b.size());
    for (int i = l-1; i >=0; --i) {
        if (a.size() != l && i-d < 0) {
            ans[i] = b[i];
        } else if (b.size() != l && i-d < 0) {
            ans[i]= a[i];
        } else {
            if (a.size() == l) {
                if (a[i] > b[i-d]) {
                    ans[i] = a[i];
                } else {
                    ans[i] = b[i-d];
                }
            } else {
                if (b[i] > a[i-d]) {
                    ans[i] = b[i];
                } else {
                    ans[i] = a[i-d];
                }
            }
        }
    }

    return ans;
}

string mult(const string& a, const string& b) {
    string ans;
    string a2;
    int z;

    for (int i = b.size() - 1; i >= 0; --i) {
        z = b.size() -i-1;
        a2.resize(a.size() + z);
        for (int k = 0; k < z; ++k) {
            a2[a2.size()-1-k] = '0';
        }
        for (int j = a.size()-1; j >= 0; --j) {
            if (b[i] < a[j]) {
                a2[j] = b[i];
            } else {
                a2[j] = a[j];
            }
        }

        if (ans.empty()) {
            ans = a2;
        } else {
            ans = sum(ans, a2);
        }

        a2 = "";
    }

    return ans;
}

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    string a, b;

    getline(cin, a);
    getline(cin, b);

    cout << sum(a, b) << " " << mult(a, b);
}
