#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>

using namespace std;

void printArr(const vector<int>& v) {
    for (auto n : v) {
        cout << n;
    }
    cout << endl;
}

string f(int a, int b, int c, int d, int c1, int c2, int d1, int d2) {
    // d = d1+d2
    // c = c1+c2
    // a/b and c/d
    // if a/b < c/d  |=> L else R

    if (a == c && b == d) {
        return "";
    }

    // a/b > c/d
    if (a*d > b*c) {
        return "R" + f(a, b, c+c2, d+d2, c, c2, d, d2);
    }

    return "L" + f(a, b, c1+c, d1+d, c1, c, d1, d);
}

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int a, b;

    cin >> a >>b;
    a /= gcd(a, b);
    b /= gcd(a, b);

    string str = f(a, b, 1, 1, 0, 1, 1, 0);
    cout << "R" + str;


}
