#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>

using namespace std;

const int max_answer = 2000;

void printArr(const vector<int>& v) {
    for (auto n : v) {
        cout << n;
    }
    cout << endl;
}

string f(int a, int b, int c, int d, int c1, int c2, int d1, int d2, int i) {
    // d = d1+d2
    // c = c1+c2
    // a/b and c/d
    // if a/b < c/d  |=> L else R
    string str;

    if (i > max_answer) {
        return "*";
    }

    if (a == c && b == d) {
        return "";
    }

    // a/b > c/d
    if (a*d > b*c) {
        str = f(a, b, c+c2, d+d2, c, c2, d, d2, i+1);
        if (str == "*") {
            return str;
        }
        return "R" + str;
    }

    str = f(a, b, c1+c, d1+d, c1, c, d1, d, i+1);
    if (str == "*") {
        return str;
    }

    return "L" + str;
}

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int a, b;

    cin >> a >>b;
    int g = gcd(a, b);
    a /= g;
    b /= g;

    if (a == 0 && b == 1) {
        cout << "";
        return 0;
    }

    if (a == 1 && b == 1) {
        cout << "R";
        return 0;
    }

    string str = f(a, b, 1, 1, 0, 1, 1, 0, 1);
    if (str == "*") {
        cout << "no";
    } else {
        cout << "R" + str;
    }

//    for (int a = 1; a <= 15; ++a ) {
//        for (int b = 1; b <= 15; ++b) {
//            a1 = a / gcd(a, b)
//        }
//    }

}
