#include <iostream>
#include <vector>
#include <set>
#include <algorithm>
#include <string>
#include <numeric>

using namespace std;

const int max_answer = 10000;
set<int> ans;

void printSet(const set<int>& v) {
    for (auto n : v) {
        cout << n << " ";
    }
    cout << endl;
}

void printArr(const vector<int>& v) {
    for (auto n : v) {
        cout << n;
    }
    cout << endl;
}

void f(vector<vector<int>> g, int ind, int pp) {
    ans.insert(ind);
    if (pp == 0) {
        return;
    }

    for (int i = 0; i < g[ind].size(); ++i) {
        if (g[ind][i] == -1) {
            continue;
        }

        auto g1 = g;
        replace(g1[i].begin(), g1[i].end(), ind, -1);
        ans.insert(g[ind][i]);
        f(g1, g[ind][i], pp-1);
    }
}


int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int n, m, k;
    int a, b;

    cin >> n >> m >> k;
    vector<int> p(k, 0);
    vector<int> h(k, 0);

    vector<vector<int>> g(m+1, vector<int>(0));

    for (int i = 0; i < m; i++) {
        cin >> a >> b;
        g[a].push_back(b);
        g[b].push_back(a);
    }

    for (int i = 0; i < k; ++i) {
        cin >> a >> b;
        p[i] = a;
        h[i] = b;
    }

    if (m == 0) {
        for (int i = 0; i < k; ++i) {
            ans.insert(p[i]);
        }
    } else {
        for (int i = 0; i < k; ++i) {
            f(g, p[i], h[i]);
        }
    }


    cout << ans.size() << endl;
    printSet(ans);
}
